Bug 1315747 - (CVE-2016-2146) CVE-2016-2146 mod_auth_mellon: Failure to limit amount of POST data submitted by client
CVE-2016-2146 mod_auth_mellon: Failure to limit amount of POST data submitted...
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160309,repor...
: Security
Depends On: 1316296
Blocks: 1315749
  Show dependency treegraph
 
Reported: 2016-03-08 09:07 EST by Adam Mariš
Modified: 2016-03-19 22:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-03-10 01:00:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-08 09:07:06 EST
It was reported that am_read_post_data() failed to limit the amount of POST data submitted by
the client. If the memory allocation for reading the POST data fails, we will get a null pointer dereference when we try to load data into it. If the memory allocation succeeds, we will slowly fill up available memory with post data from the client, causing resource exhaustion.

Upstream bug:

https://github.com/UNINETT/mod_auth_mellon/pull/71
Comment 1 Adam Mariš 2016-03-08 09:07:13 EST
Acknowledgments:

Name: Olav Morken (Uninett)
Upstream: Vincent Rasneur
Comment 2 Adam Mariš 2016-03-08 09:08:12 EST
Note that fixing commit is the same as for CVE-2016-2145.
Comment 4 Garth Mollett 2016-03-09 17:12:47 EST
Created mod_auth_mellon tracking bugs for this issue:

Affects: fedora-all [bug 1316296]
Comment 6 Fedora Update System 2016-03-19 22:29:22 EDT
mod_auth_mellon-0.11.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.